Last Comment Bug 229425 - the use of first-letter on an the button element when its display is set to block fails
: the use of first-letter on an the button element when its display is set to b...
Status: RESOLVED FIXED
: testcase
Product: Core
Classification: Components
Component: Layout: Form Controls (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: layout.form-controls
: Hixie (not reading bugmail)
Mentors:
Depends on: 51767
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-25 16:15 PST by diades
Modified: 2006-03-12 17:20 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Testcase for this bug (306 bytes, text/html)
2005-09-06 10:40 PDT, Gabriel Sjoberg
no flags Details

Description diades 2003-12-25 16:15:54 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5a) Gecko/20030728 Mozilla Firebird/0.6.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5a) Gecko/20030728 Mozilla Firebird/0.6.1

<style type="text/css">
button{display:block)
button:first-letter{color:#ff0000;background-color:transparent;text-decoration:none;}
....
<button name="fred" type="submit">Fred</button>
The above (a shortened version) renders correctly in IE & Opera nut not Moz
1.3b, Firebird 0.61 or Netscape 7.1/2

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Boris Zbarsky [:bz] (Out June 25-July 6) 2003-12-25 16:55:04 PST
Form controls, but given that <button> is currently a replaced element in
Mozilla our behavior is correct....
Comment 2 Gabriel Sjoberg 2005-09-06 10:39:10 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8b4) Gecko/20050905
Firefox/1.0+ ID:2005090518

Confirmed with the above nightly.  Like the poster in Comment #1, I'm not sure
this is a bug, but I've created a testcase for the behavior.  Opera and IE do
indeed display at the original reporter expected.
Comment 3 Gabriel Sjoberg 2005-09-06 10:40:25 PDT
Created attachment 195025 [details]
Testcase for this bug
Comment 4 Mats Palmgren (:mats) 2005-12-17 22:29:26 PST
Bug 51767 fixes this bug.
Comment 5 Martijn Wargers [:mwargers] (not working for Mozilla) 2006-01-13 15:17:11 PST
Fixed by bug 51767. Tested with:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060113 Firefox/1.6a1

Note You need to log in before you can comment on or make changes to this bug.